TTYSOFTCAR(8)

NAME
ttysoftcar - enable/disable carrier detect

SYNOPSIS
ttysoftcar [ -y|-n ] tty...

ttysoftcar -a

DESCRIPTION

For each tty specified ttysoftcar changes the carrier detect flag using the TIOCSSOFTCAR ioctl() request (see tty(4)). If the -a option is specified, ttysoftcar sets all tty's in the /etc/ttytab file to the carrier detection mode specified by their status field. If this field is set to local, software carrier detection is turned on. If this field is set to anything other than local, as is usually the case for modems, software carrier detection is turned off. ttysoftcar ignores devices in the /etc/ttytab file which do not exist.

If no options are specified, ttysoftcar returns the current status for tty. This status is reported as y or n.

OPTIONS

-a  Reset ttys to appropriate values based on the status field of the /etc/ttytab file.

-y  Turn on software carrier detect.

-n  Turn off software carrier detect. Use hardware carrier detect.

SEE ALSO
termio(4), zs(4S), ttytab(5)